bundile install fails on redmine 3.1.1 on Amazon EC2 linux
Target version:

Resolution: Invalid Affected version: 3.11
Description

So | was trying to install redmine on a AMazon EC2 instance, and noticed that bundle install threw an error.

Had to
$ sudo gem install io-console
to resolve the issue. ANd everything was fine afterwards.

First time even touching ruby and rails,
but this should be listed on the Gemfile if it is a pre-requisite, right?

History

#1 - 2015-09-27 02:04 - Go MAEDA
- Status changed from New to Needs feedback
Could you provide the following information?

e |inux distribution

¢ Error messages while 'bundle install’
¢ Environment information (Go 'Admin' -> 'Info’ on your Redmine and copy & paste the content in the grey box)

#2 - 2015-09-29 17:34 - ikuru k
- File Selection_048.png added
Go MAEDA wrote:
Could you provide the following information?
e |inux distribution
Amazon Linux AMI, which | heard it is derived from centos.
Could also suspect their default ruby intallation | guess.

e Error messages while 'bundle install'

Top line of error was:

/usr/local/share/ruby/site_ruby/2.0/rubygems/core_ext/kernel_require.rb:54:in “require': cannot load such file -- io/console (LoadError)

There was more, but prefer not to go through re-installing redmine all over again just to get the whole message.
Anyways, | isntalled the gem under discussion and everything was fine.

e Environment information (Go 'Admin' -> 'Info’ on your Redmine and copy & paste the content in the grey box)
Infonnation

Redmine 3.LLstable

Default administrator account changed
Attachments directory writable

Plugin assets directory writable (fpublic/plugin_assets)

EMagick available {optional)

LEL844

ImageMagick convert available (optional)

Environment:

Redmine version 3.1.1.stable
Ruby wversion 2.0,0-p647 (2015-08-18) [x86_64-linux]
Rails version 4.2.4
Environment production
Database adapter Mysglz
SCM:
subversion 1.8.13
Git 2.4.3

Filesystem
Redmine plugins:
no plugin installed

#3 - 2015-09-30 16:17 - Holger Just

io/console is part of core Ruby since 1.9.3. If you get this error, it means that your Ruby installation is broken or at least incomplete. Instead of using
the (heavily outdated and unnecessary) gem, you should work on fixing your ruby installation.

If you installed Ruby yourself, you should try to use a ruby version manager instead, like RVM or ruby-install. If you used the OS packages for ruby,
you might want to file a bug there.

#4 - 2015-09-30 16:28 - Go MAEDA

- Status changed from Needs feedback to Confirmed
Confirmed in Amazon Linux 2015.09. | had to run "yum install rubygem-io-console" before running "bundle install".
io-console is one of default gem, so | thought it is supposed to be available in every installation of Ruby. But optional in Amazon Linux.

#5 - 2015-09-30 22:29 - Jean-Philippe Lang
- Status changed from Confirmed to Closed

- Resolution set to Invalid

Holger Just wrote:

io/console is part of core Ruby since 1.9.3. If you get this error, it means that your Ruby installation is broken or at least incomplete. Instead of
using the (heavily outdated and unnecessary) gem, you should work on fixing your ruby installation.

Agreed.
